Summary: 	Utilities for manipulating .desktop files
Name: 		desktop-file-utils-devel
Version: 	0.10
Release: 	1
URL: 		http://www.freedesktop.org/software/desktop-file-utils
Source0: 	desktop-file-utils-%{version}.tar.gz
License: 	GPL
Group: 		Development
BuildRoot: 	%{_tmppath}/%{name}-root
Provides:	desktop-file-utils

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%prep
%setup -q -n desktop-file-utils-%{version}

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
export SHARES="doc man info"

for i in $SHARES
do
        if [ -e %{buildroot}/usr/$i ]
                then
                        if [ ! -e  %{buildroot}/usr/share/ ]
                then
                        mkdir -p  %{buildroot}/usr/share/
                        fi
                mv %{buildroot}/usr/$i %{buildroot}/usr/share/
        fi
done

# We don't want the vfs module yet
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmenu*
/bin/rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf

find %{buildroot} -type f \
   -exec /usr/bin/strip --strip-debug '{}' ';'

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
